Please support VectorLinux!

Author Topic: fontfix error  (Read 4520 times)

kappapi3

  • Member
  • *
  • Posts: 4
fontfix error
« on: August 02, 2008, 03:43:21 am »
Hi, when i try to install fontfix by Gslapt, i have "pkgtools returned an error". What do i do?
I before add to sources tp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.9/testing/ and the system retrieves packets data etc but when i try to install fontfix, gslapt fails. :-[ :-[

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: fontfix error
« Reply #1 on: August 04, 2008, 07:24:36 am »
I can install it fine here.
Did you use the "update" button before trying? (I assume you did, but it doesn't hurt to ask).

Try typing:
Code: [Select]
slapt-get --update
slapt-get --install fontfix
(making sure that the testing repo data was read).
Post any errors you might get.]

Hope this helps.

kappapi3

  • Member
  • *
  • Posts: 4
Re: fontfix error
« Reply #2 on: August 04, 2008, 09:59:13 am »
Hi, i post the result of your code:

root@localhost:~# slapt-get --update
Retrieving package data [ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.9/testing/]...Cached
Retrieving patch list [ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.9/testing/]...Done
Retrieving checksum list [ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.9/testing/]...Cached
Retrieving checksum signature [ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.9/testing/]...Not Found  :o
Retrieving ChangeLog.txt [ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.9/testing/]...Cached
Reading Package Lists...Done
root@localhost:~# slapt-get --install fontfix
Reading Package Lists... Done
The following NEW packages will be installed:
  fontfix
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0.0kB/3.0kB of archives.
After unpacking 20.0kB of additional disk space will be used.

Preparing to install fontfix-1.0-noarch-2vl59
Cannot install /var/slapt-get/./base-apps/fontfix-1.0-noarch-2vl59.tlz: package does not end in .tgz  ???
Failed to execute command: [/sbin/installpkg /var/slapt-get/./base-apps/fontfix-1.0-noarch-2vl59.tlz]
« Last Edit: August 04, 2008, 10:22:02 am by kappapi3 »

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: fontfix error
« Reply #3 on: August 04, 2008, 10:49:18 am »
Weird....
Don't worry about the not found for the checksums. I get that as well. The checksums are not there, so far as I know.

But cannot install?!?
The package is definitely there... you can download it and do installpkg on it:
ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.9/testing/base-apps/fontfix-1.0-noarch-2vl59.tlz

Maybe if you try the http:// addresses for the sources it would work?...

rbistolfi

  • Packager
  • Vectorian
  • ****
  • Posts: 2383
Re: fontfix error
« Reply #4 on: August 04, 2008, 11:01:32 am »
Looks like you upgraded the package tools from a slack repo maybe? That would explain "package does not end in .tgz", VL packages ends in tlz and they need a patched version of the pkgtools afaik.
"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: fontfix error
« Reply #5 on: August 04, 2008, 11:14:42 am »
Perhaps reinstalling pkgtools and/or slapt-get from the vector repositories will fix it.
But carefully...  ;)

kappapi3

  • Member
  • *
  • Posts: 4
Re: fontfix error
« Reply #6 on: August 04, 2008, 01:50:09 pm »
Hi.
For rbistolfi: i didn't upgrade the package tool. I installed Vector Linux as i found it on DVD of "Linux Pro", a italian magazine.
For wcs: i just try to download fontfix and install by installpkg but i obtain the same negative result.

I try to install a another packet (5ball) to understand the issue and i obtain the same error, so i think that this issue is about each packet.
How can i reinstall pkgtool?


wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: fontfix error
« Reply #7 on: August 04, 2008, 02:04:38 pm »
Search for pkgtools-tukaani in gslapt (with the packages, extra and patches repositories enabled).
Right-click, re-install, execute.

exeterdad

  • Packager
  • Vectorian
  • ****
  • Posts: 2046
Re: fontfix error
« Reply #8 on: August 04, 2008, 02:55:16 pm »
Ummmm the pkgtools package is also a .tlz file.

I'd try repackaging it so it's a .tgz package.

make yourself a directory to work in.
Open a terminal and cd to that directory.

Quote
wget http://vectorlinux.osuosl.org/veclinux-5.9/packages/base/pkgtools-tukaani-1.2.4-i586-1vl60.tlz
mkdir explode
cd explode
Switch to root (su)
lzma -cdv ../pkgtools-tukaani-1.2.4-i586-1vl60.tlz |tar xp
makepkg -l y -c n ../pkgtools-tukaani-1.2.4-i586-1vl60.tgz

You will now see a new package in your first directory you created. pkgtools-tukaani-1.2.4-i586-1vl60.tgz
Install it as root with:
Quote
upgradepkg --install-new --reinstall pkgtools-tukaani-1.2.4-i586-1vl60.tgz
Hopefully that will be enough to get you back on track. :)

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: fontfix error
« Reply #9 on: August 04, 2008, 03:29:35 pm »
Quote
Ummmm the pkgtools package is also a .tlz file.

LOL! Silly me. If you can't install any package, you can't install the pkgtools.
Hopefully after exeterdad's advice, you should be fine.

kappapi3

  • Member
  • *
  • Posts: 4
Re: fontfix error
« Reply #10 on: August 05, 2008, 05:00:12 am »
Hi, i'm sorry...
I have done confusion: I installed Darkstar, another distribution that was on the same DVD, instead of Vector Linux and I became aware only now...

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: fontfix error
« Reply #11 on: August 05, 2008, 05:49:05 am »
 ;D Ok, now we know the reason.
Yea, Vector's packages are in tlz format, so they might give you trouble if you want to easily install in other slackware-based distros. (The reverse is not true: you can install lots of slackware packages in Vector.)